package com.gingersoft.gsa.cloud.manager.mvp.model.bean;

import com.gingersoft.gsa.cloud.ui.bean.view.SectionTextItem;
import com.qmuiteam.qmui.widget.section.QMUISection;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * 作者：ELEGANT_BIN
 * 版本：1.6.0
 * 创建日期：2020-05-20
 * 修订历史：2020-05-20
 * 描述：
 */
public class TableArea implements Serializable, QMUISection.Model<TableArea> {

    private Integer id;
    // 餐桌id
    private Integer restaurantTableId;
    // 區域名稱
    private String regionName;
    //排序
    private Integer sort;
    //是否删除：0正常，1删除
    private Integer deletes;
    //創建人
    private Long uid;
    //更新时间
    private Long updateTime;
    //创建时间
    private Long createTime;

    private List<TableItem> tableItemList = new ArrayList<>();

    /**是否選中*/
    private boolean isChecked = false;

    public TableArea() {
    }

    public TableArea(TableArea area) {
        this.id = area.id;
        this.restaurantTableId = area.restaurantTableId;
        this.regionName = area.regionName;
        this.sort = area.sort;
        this.deletes = area.deletes;
        this.uid = area.uid;
        this.updateTime = area.updateTime;
        this.createTime = area.createTime;
        this.tableItemList = area.tableItemList;
        this.isChecked = area.isChecked;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getRestaurantTableId() {
        return restaurantTableId;
    }

    public void setRestaurantTableId(Integer restaurantTableId) {
        this.restaurantTableId = restaurantTableId;
    }

    public String getRegionName() {
        return regionName;
    }

    public void setRegionName(String regionName) {
        this.regionName = regionName;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public Integer getDeletes() {
        return deletes;
    }

    public void setDeletes(Integer deletes) {
        this.deletes = deletes;
    }

    public Long getUid() {
        return uid;
    }

    public void setUid(Long uid) {
        this.uid = uid;
    }

    public Long getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Long updateTime) {
        this.updateTime = updateTime;
    }

    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }

    public List<TableItem> getTableItemList() {
        return tableItemList;
    }

    public void setTableItemList(List<TableItem> tableItemList) {
        this.tableItemList = tableItemList;
    }

    public boolean isChecked() {
        return isChecked;
    }

    public void setChecked(boolean checked) {
        isChecked = checked;
    }

    @Override
    public TableArea cloneForDiff() {
        return null;
    }

    @Override
    public boolean isSameItem(TableArea other) {
        return false;
    }

    @Override
    public boolean isSameContent(TableArea other) {
        return false;
    }
}
